.\"	$NetBSD: lm.4,v 1.25 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Bill Squier.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 13, 2008
.Dt LM 4
.Os
.Sh NAME
.Nm lm
.Nd National Semiconductor LM78, LM79 and compatible hardware monitors
.Sh SYNOPSIS
.Cd "lm0 at isa? port 0x280"
.Cd "lm1 at isa? port 0x290"
.Cd "lm2 at isa? port 0x310"
.Cd "lm3 at isa? port 0xa00"
.Cd "lm0 at pnpbios0 index ?"
.Cd "lm0 at iic? addr 0x2e"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn National Semiconductor
LM series hardware monitors and register compatible chips to be used with
the
.Xr envsys 4
API.
.Pp
Most supported devices possess 11 sensors:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "IN0" Ta "uV DC" Ta "Core voltage"
.It Li "IN1" Ta "uV DC" Ta "unknown"
.It Li "IN2" Ta "uV DC" Ta "+3.3V"
.It Li "IN3" Ta "uV DC" Ta "+5V"
.It Li "IN4" Ta "uV DC" Ta "+12V"
.It Li "IN5" Ta "uV DC" Ta "-12V"
.It Li "IN6" Ta "uV DC" Ta "-5V"
.It Li "Temp" Ta "uK" Ta "Motherboard Temperature"
.It Li "Fan0" Ta "RPM" Ta "Fan"
.It Li "Fan1" Ta "RPM" Ta "Chassis Fan"
.It Li "Fan2" Ta "RPM" Ta "Fan"
.El
for some devices (most Winbond devices) sensor names and numbers will be
different.
.Pp
Due to hardware limitations, fresh sensor data is only available every
2 seconds.
.Sh HARDWARE
Chips supported by the
.Nm
driver include:
.Pp
.Bl -item -offset indent
.It
.Tn National Semiconductor
.Em LM78 ,
.Em LM78-J ,
.Em LM79
and
.Em LM81 .
.It
.Tn Winbond
.Em W83627HF ,
.Em W83627THF ,
.Em W83627EHF ,
.Em W83627DHG ,
.Em W83637HF ,
.Em W83697HF ,
.Em W83781D ,
.Em W83782D ,
.Em W83783S ,
.Em W83791D ,
.Em W83791SD
and
.Em W83792D .
.It
.Tn ASUS
.Em AS99127F .
.El
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
device appeared in
.Nx 1.5 .
.Sh BUGS
Interrupt support is unimplemented.
.Pp
There are currently no known pnpbios IDs assigned to LM chips.
